QuitStrategy (Java SE 9 & JDK 9 )
Keywords: java.awt.desktop.QuitStrategy class

Module java.desktop
Package java.awt.desktop

## Enum QuitStrategy

- java.lang.Object
- - java.lang.Enum<QuitStrategy>
  - - java.awt.desktop.QuitStrategy

- All Implemented Interfaces:
    `Serializable`, `Comparable<QuitStrategy>`

      public enum QuitStrategy
      extends Enum<QuitStrategy>

  The strategy used to shut down the application, if Sudden Termination is not enabled.
  Since:
    9
  See Also:
    `Desktop.setQuitHandler(java.awt.desktop.QuitHandler)`, `Desktop.setQuitStrategy(java.awt.desktop.QuitStrategy)`, `Desktop.enableSuddenTermination()`, `Desktop.disableSuddenTermination()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLOSE_ALL_WINDOWS` | Shuts down the application by closing each window from back-to-front.
    `NORMAL_EXIT` | Shuts down the application by calling `System.exit(0)`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static QuitStrategy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static QuitStrategy[]` | `values​()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL_EXIT

          public static final QuitStrategy NORMAL_EXIT

      Shuts down the application by calling `System.exit(0)`. This is the default strategy.

    - #### CLOSE_ALL_WINDOWS

          public static final QuitStrategy CLOSE_ALL_WINDOWS

      Shuts down the application by closing each window from back-to-front.

  - ### Method Detail

    - #### values

          public static QuitStrategy[] values​()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QuitStrategy c : QuitStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QuitStrategy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null